# config/services.yaml

parameters:
    # Pas besoin de spécifier ici le service PasswordHasherInterface
    # Symfony se charge de cela automatiquement avec le service password_hasher par défaut

services:
    # Configuration par défaut pour tous les services
    _defaults:
        autowire: true      # Automatiquement injecte les dépendances dans vos services
        autoconfigure: true # Enregistre automatiquement les services comme des commandes, des abonnés d'événements, etc.

    # Services de votre application
    App\:
        resource: '../src/'
        exclude:
            - '../src/DependencyInjection/'
            - '../src/Entity/'
            - '../src/Kernel.php'
        tags: ['controller.service_arguments']    

    # Ajoutez ici d'autres services explicitement si nécessaire
